Register an OAuth client
POST
/connect/registerRegister an OAuth client. A successful request returns HTTP 201 with the documented response body.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/connect/register" \ -H "Content-Type: application/json" \ -d '{ "client_name": "Example resource", "redirect_uris": [ "example" ], "token_endpoint_auth_method": "replace_with_the_issued_token", "grant_types": [ "example" ], "response_types": [ "example" ], "application_type": "example" }'{ "client_id": "app_replace_with_your_client_id", "client_name": "Example resource", "redirect_uris": [ "example" ], "token_endpoint_auth_method": "replace_with_the_issued_token", "grant_types": [ "example" ], "response_types": [ "example" ], "application_type": "example"}